Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.jbotester
Class BaseTree

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JScrollPane
                              |
                              +--oracle.jbo.jbotester.BaseTree

public final class BaseTree
extends javax.swing.JScrollPane
implements javax.swing.event.ChangeListener, JboExceptionHandler

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JScrollPane
`javax.swing.JScrollPane.AccessibleJScrollPane, javax.swing.JScrollPane.ScrollBar`

Inner classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary
`javax.swing.Action` | `createAMAction`
`javax.swing.Action` | `createVLAction`
`javax.swing.Action` | `createVOAction`
`javax.swing.Action` | `propertiesAction`
`javax.swing.Action` | `removeAction`

Fields inherited from class javax.swing.JScrollPane
`columnHeader, horizontalScrollBar, horizontalScrollBarPolicy, lowerLeft, lowerRight, rowHeader, upperLeft, upperRight, verticalScrollBar, verticalScrollBarPolicy, viewport`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`BaseTree(MainFrame parent)`

Method Summary
`ObjTreeNode` | `addChild(javax.swing.tree.DefaultMutableTreeNode parent, java.lang.String name, int type)`
`void` | `clearAll()`
`void` | `finishedProcessingPiggyback(java.lang.Exception[] exArr)`
`java.lang.Object` | `getSelectedObject()`
`void` | `handleException(java.lang.Exception ex, boolean lastEntryInPiggyback)` Catches an exception thrown by the middle tier.
`void` | `handleWarning(JboWarning warn)` Catches a warning thrown by the middle tier.
`void` | `nodeSelected(javax.swing.event.TreeSelectionEvent e)`
`void` | `setAppModule(ApplicationModule appMod)`
`ObjTreeNode` | `setRoot(java.lang.String name, int type)`
`void` | `stateChanged(javax.swing.event.ChangeEvent e)`

Methods inherited from class javax.swing.JScrollPane
`createHorizontalScrollBar, createVerticalScrollBar, createViewport, getAccessibleContext, getColumnHeader, getCorner, getHorizontalScrollBar, getHorizontalScrollBarPolicy, getRowHeader, getUI, getUIClassID, getVerticalScrollBar, getVerticalScrollBarPolicy, getViewport, getViewportBorder, getViewportBorderBounds, isOpaque, isValidateRoot, paramString, setColumnHeader, setColumnHeaderView, setCorner, setHorizontalScrollBar, setHorizontalScrollBarPolicy, setLayout, setRowHeader, setRowHeaderView, setUI, setVerticalScrollBar, setVerticalScrollBarPolicy, setViewport, setViewportBorder, setViewportView, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInsets, getInsets, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, processComponentKeyEvent, processFocusEvent, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setFont, setForeground, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setCursor, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hide, imageUpdate, inside, isDisplayable, isEnabled, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processInputMethodEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setDropTarget, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### createVOAction

    public javax.swing.Action createVOAction

### createVLAction

    public javax.swing.Action createVLAction

### createAMAction

    public javax.swing.Action createAMAction

### propertiesAction

    public javax.swing.Action propertiesAction

### removeAction

    public javax.swing.Action removeAction

Constructor Detail

### BaseTree

    public BaseTree(MainFrame parent)

Method Detail

### setRoot

    public ObjTreeNode setRoot(java.lang.String name,
                               int type)

### clearAll

    public void clearAll()

### addChild

    public ObjTreeNode addChild(javax.swing.tree.DefaultMutableTreeNode parent,
                                java.lang.String name,
                                int type)

### handleException

    public void handleException(java.lang.Exception ex,
                                boolean lastEntryInPiggyback)

  Description copied from interface: JboExceptionHandler
  Catches an exception thrown by the middle tier.
  Specified by:
    handleException in interface JboExceptionHandler
  Tags copied from interface: JboExceptionHandler
  Parameters:
    `ex` - an exception.
    `lastEntryInPiggyback` - `true` if `ex` is the last of a batch of exceptions and warnings generated by a transaction.

### handleWarning

    public void handleWarning(JboWarning warn)

  Description copied from interface: JboExceptionHandler
  Catches a warning thrown by the middle tier.
  Specified by:
    handleWarning in interface JboExceptionHandler
  Tags copied from interface: JboExceptionHandler
  Parameters:
    `warn` - a warning message.

### finishedProcessingPiggyback

    public void finishedProcessingPiggyback(java.lang.Exception[] exArr)

  Specified by:
    finishedProcessingPiggyback in interface JboExceptionHandler

### setAppModule

    public void setAppModule(ApplicationModule appMod)

### nodeSelected

    public void nodeSelected(javax.swing.event.TreeSelectionEvent e)

### getSelectedObject

    public java.lang.Object getSelectedObject()

### stateChanged

    public void stateChanged(javax.swing.event.ChangeEvent e)

  Specified by:
    stateChanged in interface javax.swing.event.ChangeListener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD